Skip to main content
POST
/
api
/
end_users
/
{end_user_heron_id}
/
funder_submissions
/
{submission_heron_id}
/
submit_to_funder
/
Submit an end user to a single funder
curl --request POST \
  --url https://app.herondata.io/api/end_users/{end_user_heron_id}/funder_submissions/{submission_heron_id}/submit_to_funder/ \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "use_sandbox": true
}
'
import requests

url = "https://app.herondata.io/api/end_users/{end_user_heron_id}/funder_submissions/{submission_heron_id}/submit_to_funder/"

payload = { "use_sandbox": True }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({use_sandbox: true})
};

fetch('https://app.herondata.io/api/end_users/{end_user_heron_id}/funder_submissions/{submission_heron_id}/submit_to_funder/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "submission_heron_id": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

end_user_heron_id
string
required

The Heron ID of the end user

submission_heron_id
string
required

The Heron ID of the funder submission

Body

application/json
use_sandbox
boolean
required

Response

Submission accepted and queued for processing

submission_heron_id
string
read-only